#!/bin/sh

# Fixed by Charles Karoly Barcza in 2017 - www.blackpanther.hu
# rm   /opt/lafisoft/raktar/mentes/*.cds

WORKDIR=`dirname $0`
# Fájl első paramétere
PAR=$1
# Utasítás mint második paraméter
CMD=$2

[ ! -n "$PAR" ]&& exit

if [ "$CMD" = "restart" ]||[ "$PAR" = "restart" ] ;then
    killall szamla410 -KILL 2>/dev/null
    sleep 2
    exec $WORKDIR/szamla410
    exit 0
fi

[ ! -n "$CMD" ]&& exit

if [ "$CMD" = "backup" ];then
    if [ -d mentes ];then
        tar -cJf "mentes/backup-$PAR.tar.xz" *.db* *.mdx
	notify-send -u normal -t 15000 -i emblem-added "Sikeres adatmentés" "Az adatábzist adatokat elmentettem (backup-$PAR.tar.xz)"
    elif [ -d "$WORKDIR/mentes" ];then
	tar -cJf "$WORKDIR/mentes/backup-$PAR.tar.xz" *.db* *.mdx
	notify-send -u normal -t 15000 -i emblem-added "Sikeres adatmentés" "Az adatábzist adatokat elmentettem (backup-$PAR.tar.xz)"
    else
	notify-send -u critical -t 15000 -i emblem-error "Hiba történt" "Az adatábzist adatokat nem tudtam elmenteni! ($WORKDIR/mentes/backup-$PAR.tar.xz)"
    fi		

fi

if [ "$CMD" = "restore" ];then
    tar -cJf "mentes/slaveautobackup-$RANDOM.tar.xz" *.db* *.mdx
    rm -f *.db*
    if [ -f "$PAR" ];then
	unxz -cd "$PAR" | tar -C "$WORKDIR" -xf-
	notify-send -u normal -t 15000 -i emblem-success "Sikeres helyreállítás" "Az adatábzist helyerállítottam ($PAR)"
    else
	notify-send -u critical -t 15000 -i emblem-question "Hiba történt" "Az adatábzist adatokat nem tudtam elmenteni! ($WORKDIR/mentes/backup-$PAR.tar.xz)"
	echo " * Művelet: $CMD" 
	echo " * Visszaállítási állomány (mentes/store-$PAR) nem elérhető!" 
	echo " * Kihagyva."
	exit 1
    fi
fi

exit 0
